Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(48)

Issue 692203002: Stop utterances from a tab when that tab is closed. (Closed)

Created:
6 years, 1 month ago by dmazzoni
Modified:
6 years ago
CC:
chromium-reviews, chromium-apps-reviews_chromium.org, extensions-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Project:
chromium
Visibility:
Public.

Description

Stop utterances from a tab when that tab is closed. BUG=402957, 418806 Committed: https://crrev.com/8880b279a491ca69db564a975cce3bbfd8f5c3e3 Cr-Commit-Position: refs/heads/master@{#302987}

Patch Set 1 #

Total comments: 9

Patch Set 2 : Get rid of Android ifdef #

Patch Set 3 : Rebase #

Patch Set 4 : Don't hold lock during destruction #

Unified diffs Side-by-side diffs Delta from patch set Stats (+80 lines, -30 lines) Patch
M chrome/browser/speech/extension_api/tts_extension_api.cc View 3 chunks +2 lines, -5 lines 0 comments Download
M chrome/browser/speech/tts_controller.h View 3 chunks +9 lines, -4 lines 0 comments Download
M chrome/browser/speech/tts_controller_impl.h View 2 chunks +1 line, -1 line 0 comments Download
M chrome/browser/speech/tts_controller_impl.cc View 1 6 chunks +31 lines, -9 lines 0 comments Download
M chrome/browser/speech/tts_message_filter.h View 2 chunks +9 lines, -2 lines 0 comments Download
M chrome/browser/speech/tts_message_filter.cc View 1 2 3 5 chunks +28 lines, -9 lines 0 comments Download

Messages

Total messages: 23 (7 generated)
dmazzoni
6 years, 1 month ago (2014-10-31 20:23:28 UTC) #2
David Tseng
https://codereview.chromium.org/692203002/diff/1/chrome/browser/speech/tts_controller_impl.cc File chrome/browser/speech/tts_controller_impl.cc (right): https://codereview.chromium.org/692203002/diff/1/chrome/browser/speech/tts_controller_impl.cc#newcode478 chrome/browser/speech/tts_controller_impl.cc:478: if (current_utterance_ && !current_utterance_->extension_id().empty()) { Why the redundant check ...
6 years, 1 month ago (2014-10-31 22:33:04 UTC) #3
dmazzoni
https://codereview.chromium.org/692203002/diff/1/chrome/browser/speech/tts_controller_impl.cc File chrome/browser/speech/tts_controller_impl.cc (right): https://codereview.chromium.org/692203002/diff/1/chrome/browser/speech/tts_controller_impl.cc#newcode478 chrome/browser/speech/tts_controller_impl.cc:478: if (current_utterance_ && !current_utterance_->extension_id().empty()) { On 2014/10/31 22:33:04, David ...
6 years, 1 month ago (2014-10-31 22:44:22 UTC) #4
David Tseng
lgtm
6 years, 1 month ago (2014-10-31 22:52:28 UTC) #5
David Tseng
https://codereview.chromium.org/692203002/diff/1/chrome/browser/speech/tts_controller_impl.cc File chrome/browser/speech/tts_controller_impl.cc (right): https://codereview.chromium.org/692203002/diff/1/chrome/browser/speech/tts_controller_impl.cc#newcode485 chrome/browser/speech/tts_controller_impl.cc:485: GetPlatformImpl()->StopSpeaking(); On 2014/10/31 22:44:22, dmazzoni wrote: > On 2014/10/31 ...
6 years, 1 month ago (2014-11-02 19:55:44 UTC) #6
dmazzoni
On 2014/11/02 19:55:44, David Tseng wrote: > Are there any concerns over really long utterances ...
6 years, 1 month ago (2014-11-03 16:36:01 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/692203002/20001
6 years, 1 month ago (2014-11-03 16:40:27 UTC) #9
commit-bot: I haz the power
Try jobs failed on following builders: linux_gpu_triggered_tests on tryserver.chromium.gpu (http://build.chromium.org/p/tryserver.chromium.gpu/builders/linux_gpu_triggered_tests/builds/75812)
6 years, 1 month ago (2014-11-03 17:01:36 UTC) #11
Ken Russell (switch to Gerrit)
The various GPU test failures with: [700:1799:1103/091947:FATAL:lock.cc(20)] Check failed: owning_thread_ref_.is_null(). look real. Please contact me ...
6 years, 1 month ago (2014-11-03 19:53:41 UTC) #13
David Tseng
On 2014/11/03 16:36:01, dmazzoni wrote: > On 2014/11/02 19:55:44, David Tseng wrote: > > Are ...
6 years, 1 month ago (2014-11-03 20:15:24 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/692203002/20001
6 years, 1 month ago (2014-11-04 00:11:16 UTC) #16
Ken Russell (switch to Gerrit)
On 2014/11/04 00:11:16, I haz the power (commit-bot) wrote: > CQ is trying da patch. ...
6 years, 1 month ago (2014-11-04 00:23:52 UTC) #17
dmazzoni
On 2014/11/04 00:23:52, Ken Russell wrote: > On 2014/11/04 00:11:16, I haz the power (commit-bot) ...
6 years, 1 month ago (2014-11-04 00:28:12 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/692203002/60001
6 years, 1 month ago (2014-11-06 07:56:30 UTC) #21
commit-bot: I haz the power
Committed patchset #4 (id:60001)
6 years, 1 month ago (2014-11-06 08:45:05 UTC) #22
commit-bot: I haz the power
6 years ago (2014-11-06 08:45:32 UTC) #23
Message was sent while issue was closed.
Patchset 4 (id:??) landed as
https://crrev.com/8880b279a491ca69db564a975cce3bbfd8f5c3e3
Cr-Commit-Position: refs/heads/master@{#302987}

Powered by Google App Engine
This is Rietveld 408576698